업그레이드 프로세스는 설치 프로세스와 크게 다르지 않습니다. 구성한 값과 설정이 자동으로 채워집니다. 설정을 확인하고 설치 관리자에서 [다음]을 선택할 수 있습니다.

중요:

VMware Identity Manager 19.03.0.0부터 VMware Identity Manager 서비스는 더 이상 내장형 커넥터를 포함하지 않으며, 외부 Linux 기반 커넥터는 더 이상 사용되지 않습니다. 새 버전의 외부 Linux 기반 커넥터는 더 이상 사용할 수 없습니다.

내장형 커넥터를 사용하는 배포에서 업그레이드하는 경우에는 외부 Windows 기반 커넥터로 전환해야 합니다. 외부 Linux 기반 커넥터를 사용하는 경우에는 이 업그레이드 중에 외부 Windows 기반 커넥터로 전환하는 것이 가장 좋습니다. 그렇지 않으면 업데이트된 커넥터에서 사용할 수 있는 최신 기능을 사용할 수 없게 됩니다. 외부 windows 기반 커넥터를 사용하는 경우 기존 인스턴스를 계속 사용할 수 있지만, 외부 Windows 기반 커넥터 인스턴스를 업그레이드하여 최신 기능을 사용하도록 설정하는 것이 가장 좋습니다.

VMware Identity Manager 19.03.0.0 Windows connectorVMware ThinApp® 패키지를 지원하지 않습니다. 배포가 유지 관리하려는 ThinApp 패키지에 대한 액세스를 제공하는 경우 VMware Identity Manager 19.03.0.0 Windows connector로 업그레이드하지 마십시오.

마이그레이션 패키지는 내장형 커넥터 또는 외부 Linux 기반 커넥터 정보를 외부 Windows 기반 커넥터로 마이그레이션하기 위해 사용할 수 있습니다.

이전에는 내장형 커넥터 또는 외부 Linux 기반 커넥터에서 마이그레이션 패키지를 실행하면 암호 인증 방법을 제외한 모든 인증 방법이 사용되지 않도록 설정됩니다. 이렇게 사용하지 않도록 설정하면 커넥터의 IP 주소와 같은 구성 설정을 업데이트할 수 있습니다. 해당 Windows 기반 커넥터 인스턴스를 설치한 후에는 사용하지 않도록 설정한 인증 방법을 올바른 구성 설정으로 다시 사용하도록 설정해야 합니다.

지원되는 업그레이드 경로

버전 3.2.0.1 또는 3.3에서 버전 19.03.0.0으로 직접 업그레이드할 수 있습니다.

3.2.0.1 이전 버전의 VMware Identity Manager에서 업그레이드하려면 먼저 버전 3.2.0.1로 업그레이드한 다음, 3.2.0.1에서 19.03.0.0으로 업그레이드해야 합니다. 필요한 경우, 허용된 버전으로 업그레이드한 다음, 3.2.0.1로 업그레이드합니다. Windows용 VMware Identity Manager를 3.2.0.1로 마이그레이션을 참조하십시오.

Workspace ONE UEM과의 호환성

VMware 제품 상호 운용성 매트릭스에서는 현재 및 이전 버전의 VMware 제품 및 구성 요소(예: VMware Workspace ONE UEM Console)의 호환성에 대한 세부 정보를 제공합니다.

사전 요구 사항 단계

업그레이드를 시작하기 전에 다음 단계를 완료해야 합니다.

  • 최신 버전으로 업그레이드하기 전에 데이터베이스 및 VMware Identity Manager 노드의 스냅샷을 생성합니다.

  • Microsoft SQL 데이터베이스에 대한 db_owner 역할을 해지한 경우 업그레이드를 수행하기 전에 이 역할을 다시 추가해야 합니다. 그러지 않으면 업그레이드가 실패합니다. 업그레이드 전 db_owner 역할 추가의 내용을 참조하십시오.

  • SQL Server 가용성 그룹이 포함된 VMware Identity Manager 서버를 업그레이드하려면 서버를 업그레이드하기 전에 가용성 그룹을 사용하지 않도록 설정해야 합니다. 업그레이드 후 가용성 그룹을 다시 사용하도록 설정해야 합니다. 업그레이드 전에 SQL Server AlwayOn 가용성 그룹을 사용하지 않도록 설정의 내용을 참조하십시오.

  • 업그레이드하는 VMware Identity Manager 배포에서 내장형 커넥터와 인증서 기반 인증을 모두 사용하는 경우 내장형 커넥터에 구성된 CertificateAuthAdapter 구성 요소에 대한 설정을 기록해 둡니다.

    참고:

    내장형 커넥터를 더 이상 사용할 수 없기 때문에 내장형 커넥터에 구성된 CertificateAuthAdapter 구성 요소도 더 이상 사용할 수 없습니다. 인증서(클라우드 배포) 인증 방법은 CertificateAuthAdapter 구성 요소를 대신합니다. 마이그레이션 프로세스는 CertificateAuthAdapter 구성 요소에서 인증서(클라우드 배포) 인증 방법으로의 변환을 처리합니다.

    이제 마이그레이션 전에 CertificateAuthAdapter 구성 요소의 설정을 기록해 두었다가 마이그레이션이 끝난 후에 마이그레이션 전 설정이 마이그레이션 후 설정과 일치하는지 확인할 수 있습니다.

    1. VMware Identity Manager 관리 콘솔에 로그인하고 ID 및 액세스 관리 > 설정을 선택합니다.

    2. [커넥터] 페이지에서, 바꾸려는 내장형 커넥터 인스턴스의 [작업자] 링크를 선택합니다.

    3. 인증 어댑터를 클릭한 다음 CertificateAuthAdapter를 클릭합니다.

    4. [인증서 서비스 인증 어댑터] 페이지의 설정을 기록해 둡니다.

  • 로드 밸런싱 환경에서 VMware Identity Manager를 배포한 경우에는 환경이 제대로 구성되었는지 확인합니다.

    F5 로드 밸런싱 서버를 사용하는 경우, VMware Identity Manager 19.03.0.0으로 업그레이드할 때 필요한 경우 로드 밸런서를 재구성합니다. F5 로드 밸런싱 서버를 재구성하기 위한 요구 사항은 업그레이드하려는 VMware Identity Manager의 버전에 따라 다릅니다. F5 로드 밸런싱 서버를 업그레이드하려면 업그레이드 전에 F5 로드 밸런서 구성 확인을 참조하십시오.

    VMware Identity Manager 버전

    필요한 작업

    3.3 이전

    참조된 지침에 따라 F5 로드 밸런싱 서버를 재구성합니다.

    3.3 이상

    없음. VMware Identity Manager 3.3 이상에서 작동하는 F5 로드 밸런싱 서버가 있는 경우 로드 밸런싱 서버가 이미 적절하게 구성된 것입니다.